/**
  *  \file client/tiles/planetecon.h
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETECON_H
#define PCC_V2_CLIENT_TILES_PLANETECON_H

#include "client/wtile.h"
#include "ui/table.h"

class WColorFrame;

class WPlanetEconomyTile : public WObjectSelectionObserverTile {
    void drawPlanetEconomyTile(UIAbstractTableWriter& w);

    WColorFrame* cf_g;
    ObjectHolder h;
 public:
    WPlanetEconomyTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class WNarrowPlanetEconomyTile : public WObjectSelectionObserverTile {
 public:
    WNarrowPlanetEconomyTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
