/**
  *  \file util/progress.cc
  *  \brief Progress Monitor
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "util/progress.h"

/** Construct blank Progress Monitor. */
ProgressMonitor::ProgressMonitor()
{ }

/** Destroy this Progress Monitor. */
ProgressMonitor::~ProgressMonitor()
{ }

/** Signal some progress. The progress monitor user must call this
    periodically. */
void
ProgressMonitor::tick()
{
    sig_tick.raise();
}
